"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationAdapter = void 0;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-code7-boteria-widget' doesn't seem to be linked. Make sure: \n\n` + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n' + _reactNative.Platform.select({
  ios: "- If you are running this app on IOS unfortunaly we do not have support for Notifications on IOS yet'\n",
  default: ''
});
const NotificationModule = _reactNative.NativeModules.NotificationModule ? _reactNative.NativeModules.NotificationModule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
class NotificationAdapter {
  postLocal(msg) {
    _reactNative.AppState.currentState !== 'active' && NotificationModule.sendNotification('Nova mensagem', msg);
  }
}
exports.NotificationAdapter = NotificationAdapter;
//# sourceMappingURL=NotificationAdapter.js.map