"use strict";

var _getEnvironment = require("./getEnvironment");
var _constants = require("../constants");
describe('getEnvironment util function', () => {
  it('should get development environment', () => {
    const env = (0, _getEnvironment.getEnvironment)({
      staging: false,
      dev: true
    });
    expect(env.API_URL).toBe(_constants.environments.development.API_URL);
    expect(env.SOCKET_URL).toBe(_constants.environments.development.SOCKET_URL);
    expect(env.GET_BOT_URL).toBe(_constants.environments.development.GET_BOT_URL);
  });
  it('should get staging environment', () => {
    const env = (0, _getEnvironment.getEnvironment)({
      staging: true,
      dev: false
    });
    expect(env.API_URL).toBe(_constants.environments.staging.API_URL);
    expect(env.SOCKET_URL).toBe(_constants.environments.staging.SOCKET_URL);
    expect(env.GET_BOT_URL).toBe(_constants.environments.staging.GET_BOT_URL);
  });
  it('should get production environment', () => {
    const env = (0, _getEnvironment.getEnvironment)({
      staging: undefined,
      dev: undefined
    });
    expect(env.API_URL).toBe(_constants.environments.production.API_URL);
    expect(env.SOCKET_URL).toBe(_constants.environments.production.SOCKET_URL);
    expect(env.GET_BOT_URL).toBe(_constants.environments.production.GET_BOT_URL);
  });
});
//# sourceMappingURL=getEnvironment.spec.js.map